aboutsummaryrefslogtreecommitdiffstats
path: root/cedilla [disowned]/watch-
diff options
context:
space:
mode:
Diffstat (limited to 'cedilla [disowned]/watch-')
-rwxr-xr-xcedilla [disowned]/watch-20
1 files changed, 20 insertions, 0 deletions
diff --git a/cedilla [disowned]/watch- b/cedilla [disowned]/watch-
new file mode 100755
index 0000000..c2fa7f1
--- /dev/null
+++ b/cedilla [disowned]/watch-
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+[ -f 'NEWS.text' ] && rm 'NEWS.text'
+wget 'http://www.pps.univ-paris-diderot.fr/~jch/software/cedilla/NEWS.text' >/dev/null 2>/dev/null
+if [ $? = 0 ]; then
+ [ -f unfetchable ] && rm unfetchable
+ md5sum < NEWS.text > new-sum
+ touch sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'cedilla'
+ fi
+ rm NEWS.text
+elif [ ! -f unfetchable ]; then
+ touch unfetchable
+ echo 'cedilla (unfetchable)'
+fi
+